IT: OTS (China) - 0 [ Bug #355

Fix line break code (from <p> to <br>) in tinyMCE (WYSIWYG)

03/11/2024 07:04 PM - Xihua Fan

Status: oo0 Start date: 03/12/2024
Priority: aa Due date: 03/12/2024
Assignee: Junyi Zhang % Done: 100%
Category: Estimated time: 8.00 hours
Target version: v3.0 Spent time: 0.00 hour
Description

Task Details

1. Fix line break code (from <p> to <br>) in tinyMCE (WYSIWYG)

oid [l

(000/m0enter 00 = “<p></p>" htmilll ->0000paddingl00 0000000

000/mOshift enter 00 = “<br>" htmi0 -> D00padding0000000

New [l

000/m0enter 00 and shift enter 00 = <brshtmill -> DDDpaddingDDDDDDD

Input

* QQ from daping
Output

¢ Report and Solution

Others

History

#1 - 03/12/2024 04:08 PM - Junyi Zhang
- % Done changed from 0 to 90

Outputl 2024/03/12)

1. Fix line break code (from <p> to <br>) in tinyMCE (WYSIWYG)

1. Modify <p> margin to '0', so the line break will no longer have big gab;

#tinymce p {font-size: 1.5em; margin: 0;} // Old: #tinymce p {font-size:

2. Change scopes:
- protected/views/layouts/desktop.php
- ui/desktop/js/themes/advanced/editor_template.js
- ui/desktop/libs/tinymce/themes/advanced/editor_template.js

- ui/desktop/libs/tinymce/themes/advanced/skins/default/content.css

- ui/desktop/libs/tinymce/jquery.tinymce.js
- ui/desktop/libs/tinymce/tiny_mce.js

#2 - 03/13/2024 09:54 AM - Junyi Zhang
- Status changed from 000 to0010
- % Done changed from 90 to 100

#3 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0

12/20/2025

1.5em; }
